<?php
namespace Claromentis\Core\Component;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_9d563921fc01" . "094b4d118c5bf" . "2187d4b" => base64_decode("Y2xh" . "X2h0" . "bWxz" . "YWZl"), "_5e5ff29e5570db7c92f6a3fb" . "65526022" => base64_decode("PGRpdiBjbGFzcz0iYWxlc" . "nQgYWxlcnQtZGFuZ2VyIi" . "Byb2xlPSJhbGVydCI+"), "_daabcae" . "f5d13ad1" . "1434c594" . "d45e1fc0" . "e" => base64_decode("RXJyb3IgbWVzc2Fn" . "ZQ=="), "_3271081" . "2e9f3c73" . "0de65799" . "37e571ec" . "3" => base64_decode("PC" . "9k" . "aX" . "Y+"), "titl" . "e" => base64_decode("dGl0b" . "GU="), "_4d707fab93bebb00" . "bbe69e8159697c90" => base64_decode(""));
use Claromentis\Core\Application;
use Claromentis\Core\Component\Exception\ComponentException;






class MessageComponent implements ComponentInterface
{
    protected string $header;
    protected string $body;
    protected ?ComponentInterface $parent;
    public function __construct(string $_c8e54c9b73e8f8de2a97a9c3a1daf1c3, string $_f50e845669e7cd06bbc643eeb57aa01d, ComponentInterface $_bc1b84b0f9f841f8b734489a4a3783ad = null)
    {
        $this->header = $_c8e54c9b73e8f8de2a97a9c3a1daf1c3;
        $this->body = $_f50e845669e7cd06bbc643eeb57aa01d;
        $this->parent = $_bc1b84b0f9f841f8b734489a4a3783ad;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetOptions()
    {
        if (null !== $this->parent) {
            return $this->parent->GetOptions();
        }
        return [];
    }
    
    
    
    
    
    
    
    
    
    
    
    public function ShowBody($id_string, OptionsInterface $options, Application $app)
    {
        $_f50e845669e7cd06bbc643eeb57aa01d = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_9d563921fc01094b4d118" . "c5bf2187d4b"]($this->body);
        return $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_5e5ff29e5570db7c92f6a" . "3fb65526022"] . $_f50e845669e7cd06bbc643eeb57aa01d . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_32710812e9f3c730de657" . "9937e571ec3"];
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function ShowHeader($id_string, OptionsInterface $options, Application $app)
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_9d563921fc01094b4d118c5bf21" . "87d4b"]($this->header);
    }
    
    
    
    
    
    
    
    
    public function GetSizeConstraints()
    {
        if (null !== $this->parent) {
            return $this->parent->GetSizeConstraints();
        }
        return [];
    }
    
    
    
    
    
    
    
    
    
    
    
    public function GetCssClass()
    {
        if (null !== $this->parent) {
            return $this->parent->GetCssClass();
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4d707fab93bebb00bbe69e" . "8159697c90"];
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetCoverInfo()
    {
        if (null !== $this->parent) {
            return $this->parent->GetOptions();
        }
        return [$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["tit" . "le"] => $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_daabcaef5d13ad114" . "34c594d45e1fc0e"]];
    }
}